Module jdk.compiler
Package com.sun.source.tree

# Interface IdentifierTree

All Superinterfaces:
  `ExpressionTree`, `Tree`

public interface IdentifierTree extends ExpressionTree
A tree node for an identifier expression. For example:

       name

See Java Language Specification:
  6.5.6.1 Simple Expression Names
Since:
  1.6

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`Name`
`getName()`
Returns the name of the identifier.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getName

Name getName()
Returns the name of the identifier.

Returns:
  the name